@import "styleguide/breakpoints";

.occupied-lots {
  margin-top: 2rem;

  &__title {
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 1rem;

    strong {
      background-color: var(--partner-other-badge);
      padding: 0.2rem 0.7rem;
      color: var(--light);
    }

    a {
      text-decoration: none;
      color: var(--grey);
      transition: color 0.15s ease-in-out;
    }

    a.active,
    a:hover {
      color: var(--light);
    }
  }

  &__table-container {
    padding-left: 24px;
    padding-right: 24px;
    background-color: var(--dark-slate-blue);
    border: solid 0.7px var(--partner-border-dark);
    overflow-x: auto;

    table {
      background-color: var(--dark-slate-blue);
      color: var(--light);
      font-size: 12px;

      th {
        color: var(--greenish-grey);
        font-weight: normal;
        text-transform: uppercase;
      }

      thead th {
        vertical-align: bottom;
        border-bottom: 1px solid var(--partner-base-color);
        border-top: none;

        &.sortable {
          cursor: pointer;
        }

        &:last-child {
          @media (max-width: $breakpoint-md) {
            text-align: end;
          }
        }
      }

      thead th[aria-label$="asc"],
      thead th[aria-label$="desc"] {
        color: var(--partner-base-color);
      }
      tbody tr {
        border-bottom: 1px solid var(--partner-border-dark);
        border-bottom-width: 1px;
      }

      tr td {
        border-top: 1px solid var(--partner-border-dark);
        color: var(--light);
        font-size: 15px;

        &.occupied-lots__rewardsSum,
        .occupied-lots__rewards1 {
          color: var(--partner-base-color);
        }
      }

      td:last-child {
        @media (max-width: $breakpoint-md) {
          text-align: end;
        }
      }

      .btn-secondary,
      .btn-secondary-outline {
        font-weight: normal;
        padding: 0.3rem 0.2rem;
        width: 9rem;
        font-size: 15px;
        margin-left: 10px;

        &:disabled {
          border: none;
          pointer-events: none;
        }
      }

      .btn-secondary-outline {
        color: var(--light);
        background-color: var(--partner-border-dark);
        border-color: var(--partner-border-dark);

        &:hover {
          background-color: transparent;
          border-color: var(--partner-border-dark);
        }
      }
    }
  }
}
